Zavřít reklamu

Pokud už nějakou dobu testujete beta verzi operačního systému macOS 10.15 Catalina, tak jste už možná zaregistrovali, že nějaké vaše aplikace na tomto operačním systému nemusí fungovat. Pokud si myslíte, že je to kvůli neodladěnosti systému, tak se možná šeredně mýlíte. Je veřejně známé, že se Apple snaží o naprostý přechod z 32-bitových aplikací na ty 64-bitové. Činí tak hlavně kvůli tomu, aby se aplikace staly více efektivní pro nynější Macy, a zároveň aby mohl být operační systém macOS odlehčen o tunu kódu, který zajišťuje, že i doposud budou některé 32-bitové aplikace stále fungovat. Vypadá to však, že se Apple nachází v takovém rozpoložení, kdy už má 32-bitových aplikací doopravdy dost.

Vývojář Steve Moser, který vyvíjí aplikace pro iOS, na svém blogu upozornil, že uvnitř systémových souborů macOS Catalina našel soubor IncompatibleAppsList.bundle. Jak už můžete podle názvu souboru tušit, tak se bude zabývat právě nekompatibilními aplikacemi. V tomto souboru se nachází zmínka o dohromady 235 aplikacích, které Apple jednoduše v macOS 10.15 Catalina zatrhl. Součástí tohoto souboru je u každé aplikace také důvod, z jakého důvodu je nekompatibilní. Tento soubor se aktivuje vždy při instalaci nějakého softwaru. Pokud operační systém najde shodu, tak uživatele později na nekompatibilitu upozorní. Dobrou zprávou však je, že většina těchto zatrhnutých aplikací jsou většinou v podobě starých verzí. Například se v seznamu nachází aplikace 1Password verze 2.12.2, která má však momentální verzi 7.3.1.

Jakožto vysvětlení je u většiny aplikací uvedena pouze zpráva o tom, že není kompatibilní, a abyste kontaktovali vývojáře. V některých případech je zase uvedeno, že je instalovaná aplikace „po smrti“, a nabízí se instalace nové aplikace, která je momentálně vyvíjena. Apple ukončil podporu 32-bitových aplikací v iOS již v roce 2017 a není tak žádným překvapením, že se o to podobné snaží Apple i v macOS. Právě proto začal operační systém uživatele na možnou nekompatibilitu upozorňovat. Konkrétní list všech aplikací si můžete zobrazit pomocí tohoto odkazu. Co všechno můžete udělat pro to, abyste předešli případným problémům s nepodporovanými aplikacemi?

Podívejte se, jestli není k dispozici 64-bitová aktualizace

Pokud jste si někdy v minulosti z nějakého důvodu stáhli 32-bitovou verzi aplikace, tak je dosti možné, že už existuje 64-bitová verze. 32-bitovou verzi systém jednoduše na 64-bitovou verzi nepřeinstaluje, a tak si tuto možnost musíte zkontrolovat sami na stránkách vývojáře, popřípadě samotné aplikace. V případě, že je 64-bitová verze aplikace k dispozici, tak starou 32-bitovou verzi odstraňte a nahraďte ji novou verzí.

Zeptejte se vývojáře, zdali je k dispozici 64-bitová verze aplikace

V případě, že jste nikde informace o 64-bitové verzi nenašli, tak se zeptejte samotného vývojáře. Někteří vývojáři udělali takový krok, že současnou 32-bitovou verzi ponechali uživatelům zdarma, avšak tu 64-bitovou, která bude fungovat i nadále, si musíte zaplatit. Zkontrolujte si tedy, popřípadě se zeptejte, zdali placená verze aplikace disponuje podporou 64-bit a popřípadě s plnou verzi kupte.

Poproste vývojáře o přidání podpory pro 64-bit

Pokud se jedná o software větší společnosti, tak můžete také zkusit vytvořit petici.

Jestliže není 64-bitové verze k dispozici, tak vám nezbývá nic jiného, abyste vývojáře o integraci 64-bitové podpory poprosili. Pokud se jedná o software větší společnosti, tak můžete také zkusit vytvořit petici. Poté vám už jen nezbývá nic jiného, než se modlit, aby vývojář vaše přání uposlechl.

Najděte si jinou alternativní aplikaci

Pokud vývojář na dotazy nereaguje a nevypadá to, že by se 64-bitová verze aplikace mohla někdy objevit, tak je na čase, abyste si našli aplikaci jinou. Pokud není vývojář schopný integrovat 64-bitovou podporu ke své aplikaci, tak je dosti možné, že by byly s aplikací v budoucnu samé problémy. Určitě v tomto případě existují lepší alternativy.

Neaktualizujte na macOS 10.15 Catalina

Souvisejíci

V případě, že chcete ještě nějakou dobu svou oblíbenou aplikaci používat, tak se vyhněte aktualizaci na macOS 10.15 Catalina a zůstaňte na Mojave, popřípadě na High Sierra. Takto budete mít alespoň prozatím jistotu, že vaše aplikace budou ještě nějakou dobu fungovat. Dlouho se ale neradujte, jelikož je možné, že Apple nějakým způsobem ukončí podporu 64-bitových aplikací i u starších operačních systémů.

Spusťte macOS 10.14 Mojave ve virtuálním režimu

Jestliže používáte aplikaci, která neběží na 64-bitech (a nikdy nebude), a i přesto ji potřebujete, jelikož neexistuje její alternativa, tak se nabízí spuštění starší verze macOS ve virtuálním režimu. Ke správně funkci budete potřebovat dostatek výkonu a správný program – například VMWare Fusion, anebo Parallels Desktop.

Dnes nejčtenější

Další články